#ifndef __MAIN_H__
#define __MAIN_H__

#pragma pack(1)

#define DELTA133 0x4433
#define DELTA132 0x43EB

#define  JUMPTYPE_SHORT 2
#define  JUMPTYPE_LONG  6
#define  JUMPOPCODE_JBE  7
#define  JUMPOPCODE_JB  5

typedef struct nanostruct {
	DWORD nanoApiHash;
	DWORD dword0;
	BYTE pNanoProcIndex;
	BYTE db0;
	BYTE db1;
} nanostruct, *pnanostruct;

typedef void (* fixerProto)(pnanostruct, BYTE*);

BOOL CALLBACK DlgProc(HWND, UINT, WPARAM, LPARAM);
void FuncFix_JA_JBE(nanostruct *, BYTE *);
void FuncFix_JE_JNE(nanostruct *, BYTE *);
void FuncFix_JB_JNB(nanostruct *, BYTE *);
void FuncFix_JMP_TABLE(nanostruct *, BYTE *);
void FuncFix_JA_JBE(nanostruct *, BYTE *);
void FuncFix_MOV_R_M(nanostruct *, BYTE *);
void FuncFix_MOV_R_R(nanostruct *, BYTE *);
void FuncFix_MOV_M_R(nanostruct *, BYTE *);
BOOL OpenMapFile(BOOL);
void CloseMapFile();



#endif // __MAIN_H__
